Name:           python-cloud-sql-instance-manager
Version:        0.2.9
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Manages cloud_sql_proxy connections, allocating fixed ports and allowing control over starting and stopping

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/zoe-j-m/cloud_sql_instance_manager
Source:         %{pypi_source cloud_sql_instance_manager}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'cloud-sql-instance-manager' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-cloud-sql-instance-manager
Summary:        %{summary}

%description -n python3-cloud-sql-instance-manager %_description


%prep
%autosetup -p1 -n cloud_sql_instance_manager-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-cloud-sql-instance-manager -f %{pyproject_files}


%changelog
%autochangelog